lookup_one_len
Prev | Other Functions | Next

## Name

lookup_one_len —

## Synopsis

`struct dentry * lookup_one_len (` | const char * | name,
| struct dentry * | base,
| int | len`)`;

## Arguments

`name`

  pathname component to lookup

`base`

  base directory to lookup from

`len`

  maximum length `len` should be interpreted to

## Description

Note that this routine is purely a helper for filesystem useage and should not be called by generic code. Also note that by using this function to nameidata argument is passed to the filesystem methods and a filesystem using this helper needs to be prepared for that.

Prev | Up | Next
vfs_path_lookup | Home | lookup_create